Mantis Bugtracker

Простой вид комментарии ] расширенный вид ] история ] печать ]
Номер Категория Серьезность Воспроизводимость Создан Изменен
0000074 [obex-data-server] General малая всегда 2008-05-09 22:59 2008-06-19 15:05
Инициатор vcgomes Видимость общая  
Ответственный skirsdeda
Приоритет обычный Решение решен  
Состояние закрыт   Версия продукта
Суть 0000074: obex-data-server tries to access some memory regions that were already free'd.
Подробности When running obex-data-server using
"valgrind --leak-check=full obex-data-server --no-daemon"

and trying to get a file or the capabilities, valgrind detects various error associated to illegal memory accesses.
Дополнительные сведения
Tэги ODS-SPRINT1
Вложенные файлы log file icon ods-valgrind.log [^] (18,170 bytes) 2008-05-09 22:59
? file icon bug_74.patch [^] (2,184 bytes) 2008-05-28 00:58
? file icon bug_74_2of2.patch [^] (2,491 bytes) 2008-05-28 22:08

- Связи
блокирует 0000099закрытskirsdeda 0.3.2 tracker 

-  Комментарии
(0000290)
skirsdeda (администратор)
2008-05-28 16:51

The patch should equally change both ods-session.c and ods-server-session.c. Socket should be closed in finalize functions.
(0000294)
alexotan (участник)
2008-05-28 22:42
изменен: 2008-05-29 00:01

Hi, all. Sorry, these patches (2008-may-28) dont solve all the problems yet... just solve memory leak when a session is broken sunddenly :(

(0000295)
skirsdeda (администратор)
2008-05-29 00:04

alexotan, assign this bug to yourself. I granted you developer privileges.
(0000316)
skirsdeda (администратор)
2008-06-18 00:19

Better part of this fixed in svn now.
(0000319)
skirsdeda (администратор)
2008-06-18 18:34

fixed in svn rev 1545.

- история
Дата изменения Пользователь Поле Изменение
2008-05-09 22:59 vcgomes Новый вопрос
2008-05-09 22:59 vcgomes Файл добавлен: ods-valgrind.log
2008-05-17 00:04 cktakahasi Тэг прикреплен: ODS-SPRINT1
2008-05-22 22:29 alexotan Отслеживать: alexotan
2008-05-23 20:42 alexotan Не отслеживать: alexotan
2008-05-26 17:08 alexotan Отслеживать: alexotan
2008-05-28 00:58 alexotan Файл добавлен: bug_74.patch
2008-05-28 16:51 skirsdeda Комментарий добавлен: 0000290
2008-05-28 22:08 alexotan Файл добавлен: bug_74_2of2.patch
2008-05-28 22:42 alexotan Комментарий добавлен: 0000294
2008-05-29 00:01 alexotan Комментарий изменен: 0000294
2008-05-29 00:04 skirsdeda Комментарий добавлен: 0000295
2008-05-29 22:02 alexotan Состояние новый => назначен
2008-05-29 22:02 alexotan Ответственный => alexotan
2008-06-02 16:13 skirsdeda Связь добавлена блокирует 0000099
2008-06-18 00:17 skirsdeda Ответственный alexotan => skirsdeda
2008-06-18 00:19 skirsdeda Комментарий добавлен: 0000316
2008-06-18 18:34 skirsdeda Состояние назначен => отработан
2008-06-18 18:34 skirsdeda Решение открыт => решен
2008-06-18 18:34 skirsdeda Комментарий добавлен: 0000319
2008-06-19 15:05 skirsdeda Состояние отработан => закрыт


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker